Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.simple
Interface BoundingBoxAttribute

All Superinterfaces:
  Attribute, Property

    public interface BoundingBoxAttribute

extends Attribute

Attribute known to be bound to a BoundingBox class.

This class indicates getValue() returns a BoundingBox using Java 5 type narrowing, for for those working against java 1.4 interfaces the additional methods getBoundingBox() and setBoundingBox have been provided.

Method Summary
`BoundingBox` | `getBoundingBox()` Java 1.4 type safe access to getValue
`BoundingBox` | `getValue()` Access to the content of this Attribute.
`void` | `setBoundingBox(BoundingBox newValue)` Java 1.4 type safe access to setValue
`void` | `setValue(BoundingBox newValue)`

Methods inherited from interface Attribute
`getDescriptor, getID, getType, nillable, operation, setValue`

Methods inherited from interface Property
`descriptor, name`

Method Detail

### getValue

    BoundingBox getValue()

  Description copied from interface: `Attribute`
  Access to the content of this Attribute.

  A subclass may define a more specific method to access this value, in order to improve readability or make allowances for Java 1.4 use.

  Specified by:
    `getValue` in interface `Attribute`
  Returns:
    Value Object of the class indicated by getType().getBinding()

### setValue

    void setValue(BoundingBox newValue)

### getBoundingBox

    BoundingBox getBoundingBox()

  Java 1.4 type safe access to getValue

  Returns:
    (BoundingBox) getValue()

### setBoundingBox

    void setBoundingBox(BoundingBox newValue)

  Java 1.4 type safe access to setValue

  Parameters:
    `newValue` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.